%define sha 87f7cfa4632f94255f8ded7c92bd7d576dfd7825

Summary: Android Debug Bridge daemon
Name: adbd
Version: 1.0
Release: 2.%{sha}%{?dist}
License: ASL 2.0
Group: Applications/System
URL: https://github.com/robclark/core

Source: https://github.com/robclark/core/archive/%{sha}.zip

Patch0: 0001-Don-t-force-compile-for-arm.patch
Patch1: 0003-Add-top-level-makefile.patch
Patch2: 0002-Don-t-build-a-static-version.patch
Patch3: 0004-Add-systemd-unit-file.patch

BuildRequires: git

%description
adbd is the server portion of the Android Debug Bridge protocol.
It is run on Android devices to allow the computer it is attached
to access to its files and functionality.

Stock Fedora kernels lack the necessary drivers to make it work
by default, but this version works on a Fedora user-space.

%prep

%setup -q -n core-%{sha}
git init
if [ -z "$GIT_COMMITTER_NAME" ]; then
    git config user.email "adbd-owner@fedoraproject.org"
    git config user.name "Fedora adbd maintainers"
fi
git add .
git commit -a -q -m "%{sha} baseline."

git am -p1 %{patches} < /dev/null

%build
make V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=''

%post
if [ $1 -eq 1 ]; then
	/bin/systemctl enable adbd.service >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ]; then
        /bin/systemctl --no-reload disable adbd.service >/dev/null 2>&1 || :
        /bin/systemctl stop adbd.service >/dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
        /bin/systemctl try-restart adbd.service >/dev/null 2>&1 || :
fi

%files
%doc README
%defattr(-,root,root,-)
/sbin/adbd
/lib/systemd/system/adb.service

%changelog
* Mon Jun 24 2013 Bastien Nocera <bnocera@redhat.com> 1.0-2.87f7cfa4632f94255f8ded7c92bd7d576dfd7825
- Enable on systemd service on install

* Wed Jun 19 2013 Bastien Nocera <bnocera@redhat.com> 1.0-1.87f7cfa4632f94255f8ded7c92bd7d576dfd7825
- First version
